Bug 21569 - Switch two-column templates to Bootstrap grid: Circulation part 3
Summary: Switch two-column templates to Bootstrap grid: Circulation part 3
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-10-15 12:21 UTC by Owen Leonard
Modified: 2019-01-14 14:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21569: Update two-column templates with Bootstrap grid: Circulation part 3 (13.27 KB, patch)
2018-10-15 12:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21569: Update two-column templates with Bootstrap grid: Circulation part 3 (13.33 KB, patch)
2018-12-17 15:10 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21569: Update two-column templates with Bootstrap grid: Circulation part 3 (13.43 KB, patch)
2018-12-17 21:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-10-15 12:21:41 UTC
These two-column circulation templates can be updated to use the Bootstrap grid.

 - circ/returns.tt
 - circ/selectbranchprinter.tt
 - circ/transferstoreceive.tt
 - circ/view_holdsqueue.tt
 - circ/waitingreserves.tt
Comment 1 Owen Leonard 2018-10-15 12:24:16 UTC
Created attachment 80592 [details] [review]
Bug 21569: Update two-column templates with Bootstrap grid: Circulation part 3

This patch modifies several circulation templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

With each of these pages, test with CircSidebar preference both on
and off

 - Circulation -> Returns
 - Circulation -> Set library
 - Circulation -> Transfers to receive
 - Circulation -> Holds queue
 - Circulation -> Holds awaiting pickup
Comment 2 Claire Gravely 2018-12-17 15:10:05 UTC
Created attachment 83297 [details] [review]
Bug 21569: Update two-column templates with Bootstrap grid: Circulation part 3

This patch modifies several circulation templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

With each of these pages, test with CircSidebar preference both on
and off

 - Circulation -> Returns
 - Circulation -> Set library
 - Circulation -> Transfers to receive
 - Circulation -> Holds queue
 - Circulation -> Holds awaiting pickup

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Jonathan Druart 2018-12-17 21:08:19 UTC
Created attachment 83314 [details] [review]
Bug 21569: Update two-column templates with Bootstrap grid: Circulation part 3

This patch modifies several circulation templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

With each of these pages, test with CircSidebar preference both on
and off

 - Circulation -> Returns
 - Circulation -> Set library
 - Circulation -> Transfers to receive
 - Circulation -> Holds queue
 - Circulation -> Holds awaiting pickup

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2019-01-11 13:31:54 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-14 14:04:46 UTC
Enhancement, will not be backported to 18.11.x series.